<h1 class="title">About</h1>

<div>
    <div class="notification" ng-if="$ctrl.isNotificationVisible">
        <button class="delete" ng-click="$ctrl.cancelNotification()"></button> Your message has been sent
    </div>

    <p>Please fill out this form to contact us</p>
    <form name="$ctrl.contactForm" novalidate>
        <label class="label">Email</label>
        <p class="control has-icon has-icon-right">
            <input class="input" type="email" name="email" placeholder="Email" required 
                ng-class="{'is-danger': $ctrl.contactForm.email.$touched && $ctrl.contactForm.email.$invalid}"
                ng-model="$ctrl.contact.email"
            >
            <span class="help is-danger" ng-show="$ctrl.contactForm.email.$touched && $ctrl.contactForm.email.$invalid">
                Pliease provide valid email address
            </span>
        </p>
        <label class="label">Message</label>
        <p class="control">
            <textarea class="textarea" name="message" placeholder="Message" required 
                ng-class="{'is-danger': contactForm.email.$touched && contactForm.message.$invalid}"
                ng-model="$ctrl.contact.message"
            >
            </textarea>
            <span class="help is-danger" ng-show="$ctrl.contactForm.message.$touched && $ctrl.contactForm.message.$invalid">
                Please provide message
            </span>
        </p>
        <p class="control">
            <button class="button is-primary" ng-disabled="$ctrl.contactForm.$invalid" ng-click="$ctrl.submit();">
                Submit
            </button>
        </p>
    </form>
</div>